## galapi
Class xsFloat

    java.lang.Object
      galapi.Item
          galapi.Atomic
              galapi.xsFloat

public class xsFloat
extends Atomic

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`xsFloat(double f)`

Method Summary
`protected static int` `floatToItem(double f)`
`protected static double` `itemToFloat(int it)`
`double` `toDouble()`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### xsFloat

    public xsFloat(double f)
            throws GalapiException

Method Detail

### toDouble

    public double toDouble()
                    throws GalapiException

  Throws:
    `GalapiException`

### floatToItem

    protected static int floatToItem(double f)

### itemToFloat

    protected static double itemToFloat(int it)